SCRIPTREPLAY(1)

NOM
scriptreplay - Rejouer un enregistrement fait par script, en utilisant les informations temporelles

SYNOPSIS

scriptreplay [options] [-t] timingfile [typescript [divisor]]

DESCRIPTION

Ce programme rejoue un enregistrement fait par script(1), en utilisant les informations temporelles pour s’assurer qu’il s’exécute au même rythme que lors de l’enregistrement.

La répétition affiche simplement à nouveau les informations ; les programmes lancés lors de l’enregistrement de fichier_script ne sont pas réexécutés. Comme les mêmes informations sont réaffichées, scriptreplay ne garantit un bon fonctionnement que s’il est lancé sur le même type de terminal que celui où a été enregistré le fichier_script. Sinon, tout caractère d’échappement de l’enregistrement pourrait être interprété différemment par le terminal sur lequel scriptreplay envoie sa sortie.

Les informations temporelles correspondent à ce que script(1) envoie au fichier spécifié avec --log-timing.

Par défaut, le fichier à rejouer est supposé s’appeler fichier_script, mais d’autres fichiers peuvent être précisés à l’aide du deuxième paramètre ou avec l’option --log-out.

If the third parameter or --divisor is specified, it is used as a speed-up multiplier. For example, a speed-up of 2 makes scriptreplay go twice as fast, and a speed-down of 0.1 makes it go ten times slower than the original session.

OPTIONS

-I, --log-in fichier
    Fichier contenant l’entrée de terminal de script.

-O, --log-out fichier
    Fichier contenant la sortie de terminal de script.

-B, --log-io fichier
    Fichier contenant la sortie de terminal de script et l’entrée.

-t, --timing fichier
    Fichier contenant la sortie temporelle de script. Cette option outrepasse les paramètres à l’ancienne.

-T, --log-timing fichier
    Alias pour -t, maintenu pour des raisons de compatibilité avec les options de la ligne de commande de script(1).

-s, --typescript fichier
    Fichier contenant la sortie de terminal de script. Alias obsolète pour --log-out. Cette option outrepasse les paramètres à l’ancienne.

-c, --cr-mode mode
    Spécifier la manière d’utiliser le caractère CR (0x0D, retour chariot) dans les fichiers journaux. Le mode par défaut est auto, auquel cas CR est remplacé par un retour à la ligne dans le journal de l’entrée standard, sinon scriptreplay écrasera la même ligne. Les autres modes sont never et always.

-d, --divisor diviseur
    Multiplier la vitesse d’affichage de la répétition (replay) par nombre. L’argument est un nombre à virgule flottante. Il est appelé diviseur car il divise les temps par ce facteur. Cette option outrepasse les paramètres à l’ancienne.

-m, --maxdelay nombre
    Définir le délai maximal entre les mises à jour de transcription à nombre secondes. L’argument est un nombre à virgule flottante. Cela peut être utilisé pour éviter les longues pauses quand la transcription est rejouée.

--summary
    Display details about the session recorded in the specified timing file and exit. The session has to be recorded using advanced format (see script(1) option --logging-format for more details).

-x, --stream type
    Forcer scriptreplay à n’afficher que les flux indiqués. Les types de flux pris en charge sont in, out, signal ou info. Cette option est recommandée pour des journaux de plusieurs flux (comme --log-io) pour n’afficher que les données indiquées.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

EXEMPLES

    % script --log-timing fichier.tm --log-out script.out
    Le script a débuté, le fichier est script.out
    % ls
    <etc, etc>
    % exit
    Script terminé, le fichier est script.out
    % scriptreplay --log-timing fichier.tm --log-out script.out

AUTEURS

Le programme scriptreplay a été écrit à l’origine par Il a été réécrit en C par et

COPYRIGHT

Copyright © 2008 James Youngman

Copyright © 2008-2019 Karel Zak

C’est un logiciel libre ; consultez les sources pour les conditions de copie. Il n’y a AUCUNE garantie ; même pas de VALEUR MARCHANDE ou d’ADÉQUATION À UNE UTILISATION PARTICULIÈRE.

Diffusé sous licence GNU GPL version 2 ou postérieure.

VOIR AUSSI

script(1), scriptlive(1)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande scriptreplay fait partie du paquet util-linux, elle est disponible sur